Name:          classycle
Version:       1.4
Release:       6%{?dist}
Summary:       Analysing Tools for Java Class and Package Dependencies
License:       BSD
URL:           http://classycle.sourceforge.net/
# http://downloads.sourceforge.net/project/classycle/classycle1.4.zip without build file
# svn co -r209 https://classycle.svn.sourceforge.net/svnroot/classycle/trunk/Classycle/ classycle-1.4
# tar czf classycle-1.4-src-svn.tar.gz classycle-1.4
Source0:       %{name}-%{version}-src-svn.tar.gz
Source1:       http://repo1.maven.org/maven2/org/specs2/%{name}/%{version}/%{name}-%{version}.pom
# various fix
Patch0:        %{name}-%{version}-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-testutil
BuildRequires: junit

Requires:      java-headless
Requires:      jpackage-utils
BuildArch:     noarch

%description
Classycle tools analyse static class and package dependencies
of Java applications or libraries. Main features: Cyclic
dependency detection (beyond JDepend), XML report, checking layered
architectures. The tools runs from command line and as Ant tasks.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
cp -p %{SOURCE1} pom.xml
%pom_remove_dep "org.scala-lang:scala-library"

%build

# skip test for various reasons
ant jar apidoc


%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%doc LICENSE.txt README.html

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.4-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 02 2012 gil cattaneo <puntogil@libero.it> 1.4-2
- Remove the Maven build method

* Sat Apr 14 2012 gil cattaneo <puntogil@libero.it> 1.4-1
- initial rpm